;
;　＜モノクロロジックの書式＞
;　その行の１文字目に ; があればコメントを書くことが出来ます。
;　１文字目に * があれば命令を実行します。
;
;　＜必須命令＞
;  *M メッセージを表示する。              *m *M と同じ。
;  *Y 横のデータの行数。
;  *T 縦のデータの行数。
;  *y 横のデータ。
;  *t 縦のデータ。
;
;　＜省略可能命令＞ １３年前は使っていたが、m24.cは使わない
;  *S どれだけ詳しく調べるか。            *s *S と同じ。
;  *R トレース（値の動き）を見る。        *r *R と同じ。
;  *K 調べるデータによってスキップする。  *k *K と同じ。
;  *L *Kの例外処置でスキップさせない。    *l *L と同じ。
;  *D 計算時間の表示の設定。              *d *D と同じ。
;
;　命令 *Y,*T,*y,*t,   & { *S(*s),*R(*r),*K(*k),*L(*l),*D(d) }
;  のあとの数字はくっつけて書いてください。
;
;　例えば、*Y40 ならば、横のデータの行数が40ということです。
;  *t052  3,4,8,2 ならば、縦のデータの52番目に3,4,8,2というデータ
;　がはいっているということです。
;
;　一行で書ききれない場合は改行せずに、スペースをあけて複数行に
;　またいでください。
;
;　このファイル名が、例えば test.mno だとしたら、
;　$ ./m24 test.mno （リターン）と打ってください。
;　$ ./m24 test     （リターン）でもかまいません。
;
;　ファイラーを使った方が便利だと思います。
;
;  <*S>　詳細モード（省略時　*S6）
;  *S (*s) のあとの数字は、0 から 9 までにしてください。
;
;  *S0 とても詳しく調べる。（マシンが非力だと時間がかかる。）
;  *S1       詳しく調べる。（同上）
;  ...
;  *S6 記述するのを忘れた場合、これになる。（デフォルト）
;  ...
;  *S8 あまり詳しく調べない。（マシンが非力で結果がはやく
;　知りたいときに使う）
;  *S9 本当に詳しく調べない。（同上）
;
;  <*R>　トレースモード（省略時　*R0）
;  <*K>　スキップモード　（省略時　*K50）
;  <*L>  スキップの例外処置　ラージレングスモード　（省略時  *L220）
;  <*D>　時間表示の更新モード＜ｓｐｅｅＤ＞　（省略時　*D2）
;
; *S *R *K *L *D のコマンドは今は使っていません
;
;　例：鹿
;
;　データ参考図
;
;                3 1       1
;          1 2 3 1 1 2   4 1 2
;          2 2 1 1 4 4 8 2 2 2
;       -----------------------
;  2 2 2 : Q Q , Q Q , , Q Q ,
;  3 1 1 : , Q Q Q , , , Q , Q
;      8 : , , Q Q Q Q Q Q Q Q
;    1 3 : , , Q , , Q Q Q , ,
;  2 1 1 : Q Q , Q , , Q , , ,
;    2 1 : Q Q , , , , Q , , ,
;      5 : , , Q Q Q Q Q , , ,
;      3 : , , , , Q Q Q , , ,
;      6 : , , , , Q Q Q Q Q Q
;      6 : , , , , Q Q Q Q Q Q
;
;　このデーターは左のデーターは *y001、上のデーターは *t001
;  から打っていきます
;;
;*M シカ：２．７秒  	; bmmのエディターは、
;*Y10			             ;
;*T10			             ;　０〜９の数字を扱い、
;;		                ;　数字と数字の区切りは、「.」か「,」
;*y001 2,2,2	      ;　BSでバックスペース、DELで文字削除
;*y002 3,1,1	    ;　1*6で1.1.1.1.1.1 (１を６回繰り返す)　
;*y003 8	       ;　2*4で2.2.2.2 (２を４回繰り返す)
;*y004 1,3	    ;　方向キーでカーソル移動
;*y005 2,1,1	  ;　SHIFT+方向キー、CTRL+方向キーでもカーソル移動
;*y006 2,1	    ;　CTRL+W　保存せずに終了
;*y007 5	      ;　CTRL+X　保存して終了
;*y008 3	      ;　CTRL+V　保存してエディターはそのまま
;*y009 6	      ;　CTRL+D　行削除
;*y010 6	      ;　CTRL+I　行挿入
;;		           ;　CTRL+C　行コピー
;*t001 1,2	    ;　CTRL+P　行ペースト
;*t002 2,2	    ;　ーキーでカーソル上へ
;*t003 3,1	    ;　＋キーでカーソル下へ
;*t004 3,1,1	  ;　CTRL+T　*T25 *Y25などを*T30 *Y35にサイズ変更、TとYのあとの数字を書き換えてCTRL+Tを実行する
;*t005 1,1,4	  ;　ファンクションF2:"black="黒  F3:"red="赤 
;*t006 2,4	    ;　F4:"green="緑　F5:"blue="青　F6:"yellow="黄色
;*t007 8	      ;　F7:"violet="紫 F8:"water="水色 F9:"orange="橙
;*t008 4,2	    ;　SHIFT+F2:"cha="茶色　SFT+F3:"pink="桃色
;*t009 1,1,2	  ;　SFT+F4:"hada="肌色　SFT+F5:"kimi="黄緑
;*t010 2,2	    ;　SFT+F6:"oudo="黄土色 SFT+F7:"kon="紺色
;;		           ;　SFT+F9:"hai="灰色
;
;　カラーのときは(test.clなど)
;　*y001 black=7,2,red=3,green=1　というふうに打っていきます
;
;
;
;
;  ↓ここから本番です
;
*M ツバメの親子
*Y40
*T40
*S3
;*X./c13a
*y001 black=5
*y002 black=4.yellow=1.black=1
*y003 black=4.yellow=1.black=1.4.5
*y004 black=6.1.yellow=1.black=1.6.8
*y005 black=5.yellow=1.black=3.yellow=1.black=6.3.7.cha=4.black=3
*y006 black=3.1.yellow=1.black=5.yellow=1.black=4.11.cha=3.hai=3.black=3
*y007 black=5.yellow=1.black=8.yellow=1.black=1.8.cha=2.hai=6.black=3
*y008 black=5.yellow=1.black=6.1.yellow=1.black=1.4.hai=1.black=1.cha=1.hai=1.black=2.hai=2.black=2.hai=1.black=3
*y009 black=6.yellow=2.black=6.yellow=1.black=3.2.hai=2.black=1.hai=3.black=2.hai=2.black=2.hai=1.black=2
*y010 black=8.hai=1.black=6.yellow=1.black=1.2.hai=2.black=1.hai=4.black=3.hai=2.black=2.hai=1.black=2
*y011 black=7.hai=1.black=8.1.hai=2.black=1.hai=4.black=2.hai=1.black=1.hai=2.black=1.hai=2.black=1
*y012 black=6.hai=1.black=8.1.hada=1.hai=2.black=1.hai=5.black=1.hai=1.black=2.hai=1.black=2.hai=1.black=1
*y013 black=3.hai=1.black=2.hai=1.black=3.hai=1.black=3.1.hada=2.hai=2.black=1.hai=3.black=1.hai=1.black=2.hai=1.black=2.hai=1.black=2.hai=1
*y014 black=2.hai=3.black=4.hai=3.black=3.1.hada=2.hai=2.black=1.hai=3.black=2.hai=1.black=2.hai=1.black=2.hai=1.black=2
*y015 cha=17.black=1.hada=2.hai=2.black=1.hai=4.black=2.hai=1.black=2.hai=1.black=2.hai=1.black=1
*y016 hada=16.cha=2.black=1.hada=2.hai=2.black=1.hai=4.black=3.hai=1.black=2.hai=1.black=3
*y017 hada=1.cha=4.hada=1.cha=8.hada=1.black=4.hada=2.hai=2.black=1.hai=3.black=1.hai=1.black=3.hai=1.black=2.hai=1.black=2
*y018 cha=2.hada=6.cha=3.hada=1.cha=1.hada=2.black=1.hada=1.black=3.hada=2.hai=1.black=1.hai=1.black=1.hai=1.black=2.hai=1.black=6.hai=1.black=1
*y019 cha=1.hada=2.cha=1.hada=3.cha=2.hada=1.cha=1.hada=7.black=3.hada=2.hai=1.black=3.hai=2.black=2.hai=1.black=2.3
*y020 cha=1.hada=2.cha=1.hada=1.cha=1.hada=1.cha=1.hada=9.black=2.3.hai=2.black=4.hai=1.black=4.2
*y021 hada=3.cha=1.hada=1.cha=1.hada=1.cha=1.hada=3.cha=4.hada=3.cha=1.black=1.hai=2.black=9.1
*y022 hada=1.cha=1.hada=1.cha=3.hada=3.cha=3.hada=5.cha=2.black=10.1
*y023 hada=1.cha=1.hada=2.cha=3.hada=3.cha=1.hada=4.cha=4.black=8
*y024 hada=1.cha=2.hada=2.cha=4.hada=4.cha=3.hada=1.cha=2.hada=5.black=6.hada=10
*y025 hada=2.cha=2.hada=6.cha=1.hada=5.cha=3.hada=5.black=4.hada=12
*y026 hada=3.cha=3.hada=1.cha=1.hada=2.cha=2.hada=2.cha=11.black=4.cha=11
*y027 hada=2.cha=1.hada=4.cha=1.hada=1.cha=8.black=4
*y028 cha=1.hada=1.cha=2.hada=2.cha=9.black=4
*y029 cha=13.black=4
*y030 cha=11.hada=8.cha=1.black=4
*y031 cha=8.hada=11.cha=1.black=5
*y032 hada=19.cha=1.black=5
*y033 hada=19.cha=1.black=2.3
*y034 cha=20.black=2.3
*y035 cha=19.black=2.3
*y036 black=3.cha=5.black=2.2
*y037 black=3.cha=5.black=2.2
*y038 black=3.cha=5
*y039 black=3.cha=5
*y040 black=3.cha=5
;
*t001 black=9.cha=1.hada=2.cha=3.hada=7.cha=4.hada=2.cha=2.black=1
*t002 black=10.cha=1.hada=1.cha=2.hada=3.cha=3.hada=4.cha=3.hada=2.cha=2.black=2
*t003 black=10.hai=1.cha=1.hada=1.cha=1.hada=6.cha=2.hada=1.cha=5.hada=2.cha=2.black=3
*t004 black=2.6.hai=2.cha=1.hada=1.cha=1.hada=1.cha=4.hada=2.cha=2.hada=1.cha=4.hada=2.cha=2.black=3.cha=1
*t005 black=10.hai=1.cha=1.hada=1.cha=1.hada=4.cha=2.hada=2.cha=1.hada=2.cha=3.hada=2.cha=2.black=3.cha=2
*t006 black=2.yellow=3.black=6.cha=1.hada=4.cha=5.hada=1.cha=1.hada=2.cha=3.hada=2.cha=2.black=2.cha=3
*t007 black=2.yellow=1.black=3.yellow=1.black=2.hai=2.black=1.cha=1.hada=1.cha=1.hada=5.cha=2.hada=3.cha=4.hada=2.cha=2.black=1.cha=4
*t008 black=7.yellow=1.black=1.hai=1.black=3.cha=1.hada=1.cha=1.hada=1.cha=3.hada=2.cha=1.hada=1.cha=6.hada=2.cha=7
*t009 black=2.5.hai=1.black=4.cha=1.hada=1.cha=3.hada=4.cha=1.hada=3.cha=3.hada=3.cha=6
*t010 black=13.hai=1.cha=1.hada=1.cha=2.hada=3.cha=1.hada=4.cha=4.hada=3.cha=5
*t011 black=2.yellow=3.black=7.hai=2.cha=1.hada=1.cha=3.hada=2.cha=2.hada=1.cha=6.hada=3.cha=4
*t012 black=1.yellow=1.black=3.yellow=1.black=7.hai=1.cha=1.hada=1.cha=1.hada=3.cha=2.hada=3.cha=4.hada=4.cha=3
*t013 black=2.3.6.cha=1.hada=1.cha=2.hada=2.cha=1.hada=5.cha=3.hada=4.cha=2
*t014 black=1.10.cha=1.hada=1.cha=1.hada=3.cha=1.hada=2.cha=1.hada=2.cha=2.hada=4.cha=2
*t015 black=2.yellow=3.black=3.1.cha=1.hada=5.cha=1.hada=2.cha=1.hada=1.cha=3.hada=4.cha=2
*t016 black=5.yellow=1.black=1.cha=1.hada=1.black=2.hada=4.cha=2.hada=1.cha=2.hada=4.cha=2
*t017 black=1.2.cha=2.black=1.hada=5.cha=1.hada=1.cha=3.hada=4.cha=2
*t018 black=1.1.cha=1.black=2.hada=1.black=1.hada=1.cha=5.hada=4.cha=2
*t019 black=2.4.cha=6.hada=4.cha=2
*t020 black=4.7.2.hada=2.cha=1.5
*t021 black=8.2.hada=2.cha=1
*t022 black=2.4.hada=5.black=2.hada=2.cha=1
*t023 black=6.hada=8.black=1.hai=1.black=1.hada=2.cha=1
*t024 black=6.hai=8.hada=2.hai=2.black=2.hada=2.cha=1
*t025 black=4.hai=12.black=5.cha=1
*t026 black=3.hai=2.black=18
*t027 black=6.hai=9.black=11
*t028 black=4.cha=2.hai=9.black=14
*t029 black=3.cha=2.hai=12.black=5.hada=1.black=8
*t030 black=2.cha=2.hai=1.black=1.hai=4.black=2.hai=2.black=2.hai=2.black=4.hada=1.cha=1.black=7
*t031 black=2.cha=2.hai=1.black=4.hai=2.black=3.hai=1.black=6.hada=2.cha=1.black=3.2
*t032 black=2.cha=1.hai=3.black=5.hai=1.black=3.hai=1.black=4.hada=2.cha=1.black=3.2
*t033 black=1.cha=1.hai=4.black=1.hai=2.black=2.hai=1.black=3.hai=1.black=2.hada=2.cha=1.black=3.2
*t034 black=2.hai=2.black=1.hai=2.black=2.hai=1.black=2.hai=1.black=4.hada=2.cha=1.black=3.1
*t035 black=2.hai=1.black=2.hai=2.black=2.hai=1.black=2.hai=1.black=2.hada=2.cha=1.black=2
*t036 black=3.hai=1.black=2.hai=2.black=2.hai=1.black=3.hada=2.cha=1.black=2
*t037 black=3.hai=1.black=3.hai=1.black=2.hai=1.black=2.hada=2.cha=1.black=2
*t038 black=3.hai=2.black=2.hai=1.black=2.hai=1.black=2.hada=2.cha=1.black=1
*t039 black=3.hai=2.black=2.hai=1.black=2.hai=1.black=2.hada=2.cha=1
*t040 black=3.hai=1.black=9.hada=2.cha=1
;
